# Package

version       = "1.0.0"
author        = "Jonathan Bernard"
description   = "Utility for managing data-uris: transforming data to and from, etc."
license       = "GPL-3.0-only"
srcDir        = "src"
installExt    = @["nim"]
bin           = @["data_uri"]


# Dependencies

requires @[
  "nim >= 1.4.4",
  "docopt 0.6.8",
  "filetype",

  "https://git.jdb-software.com/jdb/update-nim-package-version"
]

task updateVersion, "Update the version of this package.":
  exec "update_nim_package_version data_uri 'src/data_uripkg/version.nim'"